MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeTemperature Class Reference

Driver for temperature sensor device. More...

`#include <src/MeTemperature.h>`

Inheritance diagram for MeTemperature:
[legend]
Collaboration diagram for MeTemperature:
[legend]

## Public Member Functions
| MeTemperature (void)
| MeTemperature (uint8_t port)
| MeTemperature (uint8_t port, uint8_t slot)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
void | setpin (uint8_t port)
float | temperature (void)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for temperature sensor device.

Class: MeTemperature

Description
  Declaration of Class MeTemperature.

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeTemperature() [1/3]

MeTemperature::MeTemperature | ( | void |  | ) |

Alternate Constructor which can call your own function to map the temperature sensor to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeTemperature() [2/3]

MeTemperature::MeTemperature | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the temperature sensor to arduino port, the slot2 pin will be used here since specify slot is not be set.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## ◆ MeTemperature() [3/3]

MeTemperature::MeTemperature | ( | uint8_t | port,
|  | uint8_t | slot
| ) |  |

Alternate Constructor which can call your own function to map the temperature sensor to arduino port.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2
  [in] | slot | - SLOT1 or SLOT2

## Member Function Documentation

## ◆ reset() [1/2]

void MeTemperature::reset | ( | uint8_t | port | ) |

Function
  reset

Description
  Reset the available PIN for temperature sensor by its RJ25 port, the slot2 pin will be used here since specify slot is not be set

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

Output
  None

Returns
  None

Others
  None

## ◆ reset() [2/2]

void MeTemperature::reset | ( | uint8_t | port,
|  | uint8_t | slot
| ) |  |

Function
  reset

Description
  Reset the available PIN for temperature sensor by its RJ25 port.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2
  [in] | slot | - SLOT1 or SLOT2

Output
  None

Returns
  None

Others
  None

## ◆ setpin()

void MeTemperature::setpin | ( | uint8_t | port | ) |

Function
  setpin

Description
  Reset available PIN for temperature sensor by its arduino port.

Parameters

  [in] | port | - arduino port(should digital pin)

Output
  None

Returns
  None

Others
  None

## ◆ temperature()

float MeTemperature::temperature | ( | void |  | ) |

Function
  temperature

Description
  Get the celsius of temperature

Output
  None

Returns
  The temperature value get from the sensor.

Others
  None

The documentation for this class was generated from the following files:

- src/MeTemperature.h
- src/MeTemperature.cpp